Subject: RE: Adminrest: created IPR

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 3 Dec 2004 15:30:12 +0100

Inline, personal opinion

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Harald Tveit Alvestrand
> Sent: Friday, December 03, 2004 10:34
> To: Henrik Levkowetz; [email-masked]
> Cc: Carl Malamud; Scott Bradner
> Subject: Re: Adminrest: created IPR
> 
> --On fredag, desember 03, 2004 10:19:23 +0100 Henrik Levkowetz 
> <[email-masked]> wrote:
> 
> >
> > What about this text, (added to 2.2.6):
> >
> >    "As a matter of principle the IAOC and IAD should ensure that any
> >    contracts for IASA clearly designate that any software, databases,
> >    and websites developed should be available to the IETF with no

I guess you/we mean "specifically developed for IETF", right?
We do not need to require that if a contracted offers exisiting software
that they developed but that fits our needs, do we?

> >    restriction by the contractor.  Software should be open source and

"should be open source" ??
It does leave open that it is not mandatory. But it still sounds as 
a very strong statement. If a contractor develops specific software
for us, I'd be OK if we can get it at any time for IETF use, but I am 
not sure we should require it to be or become open source should we?

> >    data should be made available to the IETF in machine-readable
> >    format, also in cases where it may be inadvisable to make the data
> >    openly available."
> >
We have a bad experience where we are not getting access to
our database backups (in order to just test if it is complete and if
we can create a new  working environment in case of a disaster).
That seems bad. So I'd like to see in those contracts that IETF can
get a copy at any time they want for whatever reason they want.

Not sure that needs to be in the BCP. It seems basic stuff to me
when you do contracts. 

> this works for me (my only problem is stylistic - it's 
> somewhat long for a principle, so may fit better in the
> "details" sections, if a  place can be found for it).
> 
I'd prefer to keep it to a (short) principle if possible.

Bert

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 03 Dec 2004 16:37:45 +0100

> Inline, personal opinion
...
> that they developed but that fits our needs, do we?

Correct.

> not sure we should require it to be or become open source should we?

There are two issues here, one practical and one philosophical.

Practically, if we can use it, but don't have the source code, we
cannot take it to someone else and ask them to add new functionality.
Asking someone else to provide an enhanced version of the tool would
mean starting implementation from scratch.  But this doesn't mean
that the source needs to be open, it means that the IETF needs to
have ownership of the source.

Philosophically, I would suggest that it might be more in line with
the spirit of the IETF to go for open source, and (a different point)
I would personally find it desirable.  Having IETF-developed
software as open source also neatly bypasses any future controversy
about ownership, stewardship and whatnot, which I find appealing.

I'm not sure I see any strong reasons for us not going this route.

> get a copy at any time they want for whatever reason they want.

Makes sense to me.

> Not sure that needs to be in the BCP. It seems basic stuff to me

Maybe so.  We shouldn't go into too much details if the principle
is clear.

---

From: [email-masked]
Date: Fri, 3 Dec 2004 21:19:16 +0100

While I support the use of open source software whenever possible, it 
seems too restrictive to mandate it in the BCP on the IASA operation.   
I am not even sure that this level of detail belongs in this doc at 
all, though it may belong in a set of recommendations to the IAOC.

a.